#ifndef _JFXMAP_GAUSSIAN_H_
#define _JFXMAP_GAUSSIAN_H_

#include "CoordSys.h"
#include "Wgs84.h"

static const double ZoneWidth = 3.0;

namespace jf {

double GetValidZoneWidth_impl(const Point& left, const Point& right);
XYZ Convert(const Point& inLonLat, double inZoneWidth = ZoneWidth);
Point Inverse(const XYZ& inxyz, double inZoneWidth = ZoneWidth);

}  // namespace jf

#endif  // jf
